{
    onModifyMove(move, source, target) {
        if (move.type === 'Poison') {
            if (target.hasType('Steel')) {
                move.ignoreImmunity = {'Poison': true};
            }
        }
    },
    flags: {},
    name: "Corrosion",
    rating: 2.5,
    num: 212
}
